Bug 258724 - net-mgmt/prometheus2: Update to 2.30.0
Summary: net-mgmt/prometheus2: Update to 2.30.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Vanilla I. Shu
URL: https://github.com/prometheus/prometh...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-25 20:16 UTC by David O'Rourke
Modified: 2021-09-27 06:47 UTC (History)
2 users (show)

See Also:


Attachments
net-mgmt/prometheus2: Update to 2.30.0 (48.59 KB, patch)
2021-09-25 20:16 UTC, David O'Rourke
dor.bsd: maintainer-approval+
Details | Diff
net-mgmt/prometheus2: Update to 2.30.0 (48.59 KB, patch)
2021-09-26 12:16 UTC, David O'Rourke
dor.bsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David O'Rourke 2021-09-25 20:16:24 UTC
Created attachment 228178 [details]
net-mgmt/prometheus2: Update to 2.30.0

This patch updates net-mgmt/prometheus2 to v2.30.0.

Changelogs since the last port update can be found at:

  - https://github.com/prometheus/prometheus/releases/tag/v2.29.0
  - https://github.com/prometheus/prometheus/releases/tag/v2.29.1
  - https://github.com/prometheus/prometheus/releases/tag/v2.29.2
  - https://github.com/prometheus/prometheus/releases/tag/v2.30.0

This release was delayed due to an issue with building the port, which is noted at https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=258548.

-David
Comment 1 Vanilla I. Shu freebsd_committer 2021-09-26 06:14:04 UTC
(In reply to David O'Rourke from comment #0)

Hi:

could you check the checksum of containerd?


it failed on my box.
Comment 2 David O'Rourke 2021-09-26 12:14:59 UTC
Hi,

Looking into this, the sha256 has indeed changed. This was due to a 1 byte difference in the `containerd-1.5.4/vendor/k8s.io/client-go/pkg/version/base.go` file.

The diff was as follows:
$ diff -Nuar old/containerd-1.5.4/vendor/k8s.io/client-go/pkg/version/base.go new/containerd-1.5.4/vendor/k8s.io/client-go/pkg/version/base.go
--- old/containerd-1.5.4/vendor/k8s.io/client-go/pkg/version/base.go    2021-07-19 19:26:11.000000000 +0100
+++ new/containerd-1.5.4/vendor/k8s.io/client-go/pkg/version/base.go    2021-07-19 19:26:11.000000000 +0100
@@ -55,7 +55,7 @@
        // NOTE: The $Format strings are replaced during 'git archive' thanks to the
        // companion .gitattributes file containing 'export-subst' in this same
        // directory.  See also https://git-scm.com/docs/gitattributes
-       gitVersion   string = "v0.0.0-master+69107e47a6"
+       gitVersion   string = "v0.0.0-master+69107e47a62"
        gitCommit    string = "69107e47a62e1d690afa2b9b1d43f8ece3ff4483" // sha1 from git, output of $(git rev-parse HEAD)
        gitTreeState string = ""            // state of git tree, either "clean" or "dirty"

Looks like something must have gone wrong at containerd and they updated the 1.5.4 release in some manner, forcing this file to be regenerated.

A fixed diff will be along in a moment.

-David
Comment 3 David O'Rourke 2021-09-26 12:16:04 UTC
Created attachment 228194 [details]
net-mgmt/prometheus2: Update to 2.30.0

Fixed diff with new containerd-1.5.4 checksum.
Comment 4 Vanilla I. Shu freebsd_committer 2021-09-27 06:47:08 UTC
Committed, thanks.
Comment 5 commit-hook freebsd_committer 2021-09-27 06:47:41 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=497b20f12e0a8c9ead697856ac197e55fed087d4

commit 497b20f12e0a8c9ead697856ac197e55fed087d4
Author:     Vanilla I. Shu <vanilla@FreeBSD.org>
AuthorDate: 2021-09-27 06:43:46 +0000
Commit:     Vanilla I. Shu <vanilla@FreeBSD.org>
CommitDate: 2021-09-27 06:46:32 +0000

    net-mgmt/prometheus2: update to 2.30.0

    PR:             258724
    Reported by:    maintainer

 net-mgmt/prometheus2/Makefile         |   5 +-
 net-mgmt/prometheus2/Makefile.modules | 110 +++++++++--------
 net-mgmt/prometheus2/distinfo         | 226 +++++++++++++++++-----------------
 net-mgmt/prometheus2/pkg-plist        |   2 +-
 4 files changed, 174 insertions(+), 169 deletions(-)